<VirtualHost *:80>
    ServerName webapirest.edt.org
    Redirect / https://webapirest.edt.org

</Virtualhost> 

<VirtualHost *:443>
    ServerName webapirest.edt.org
    ServerAlias webapirest.edt.org
    DocumentRoot /var/www/webapirest.edt.org/html
    LogLevel debug
    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined
    
    SSLEngine on
    SSLCertificateFile /etc/ssl/certs/webapirest.crt
    SSLCertificateKeyFile /etc/ssl/private/webapirest.key
   
#    OIDCProviderMetadataURL https://accounts.google.com/.well-known/openid-configuration
#    OIDCClientID 734414321237-8cvub0hpjg93734hob6qadqnvb622lao.apps.googleusercontent.com
#    OIDCClientSecret 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
#    OIDCRedirectURI https://webapirest.edt.org/html
#    OIDCCryptoPassphrase jupiter
#    OIDCJWKSRefreshInterval 3600
#    OIDCScope "openid email"
#
#  <Location / >
#    AuthType openid-connect
#    Require valid-user
#  </Location>
  
   #ProxyPass / http://localhost:8888/
   #ProxyPassReverse / http://localhost:8888/
 
</VirtualHost>

